Debian Bug report logs - #685375
breaks booting with nfsroot

version graph

Package: live-boot; Maintainer for live-boot is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-boot is src:live-boot.

Reported by: Reinhard Tartler <siretart@tauware.de>

Date: Mon, 20 Aug 2012 10:48:02 UTC

Severity: normal

Tags: patch

Found in version live-boot/3.0~b1-1

Fixed in version live-boot/3.0~b5-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, siretart@tauware.de, Debian Live Project <debian-live@lists.debian.org>:
Bug#685375; Package live-boot. (Mon, 20 Aug 2012 10:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
New Bug report received and forwarded. Copy sent to siretart@tauware.de, Debian Live Project <debian-live@lists.debian.org>. (Mon, 20 Aug 2012 10:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Breaks booting with nfsroot
Date: Mon, 20 Aug 2012 12:44:17 +0200
Package: live-boot
Version: 3.0~b1-1
Severity: normal

Hi,

I'm trying to setup a FAI netbooting environment, which uses live-boot
for booting the installation system via NFS. As union filesystem, I'm
using overlayfs by using the union=overlayfs kernel commandline parameter.

the live-boot scripts all seem to run as expected. However, in the last
stage, run-init fails with this error message:

run-init: nuking initramfs contents: Directory not empty.
Kernel panic - not syncing: Attempted to kill init! [...]

By booting with 'break=init', I could verify that /root is fully in
place, that is, all bind mounts succeeded. However, a "rm -rf
/live/overlayfs" fails with "Device busy". If I manually 'umount
/tmp/overlayfs', the boot process continues successfully.

While reading the commit logs, I noticed this commit:

http://live.debian.net/gitweb?p=live-boot.git;a=commitdiff;h=9dac5b65e0e6aaa9e194ec5e423476c78f6209e5

Laying tmpfs on /live/overlay only during initramfs stage, fixes boot
failure with plain filesystems (Closes: #681579).
---

diff --git a/scripts/boot/9990-overlay.sh b/scripts/boot/9990-overlay.sh
index cb12c4b..00c53c8 100755
--- a/scripts/boot/9990-overlay.sh
+++ b/scripts/boot/9990-overlay.sh
@@ -155,9 +155,8 @@ setup_unionfs ()
 
        # tmpfs file systems
        touch /etc/fstab
-       mkdir -p /live
-       mount -t tmpfs tmpfs /live
        mkdir -p /live/overlay
+       mount -t tmpfs tmpfs /live/overlay
 
        # Looking for persistence devices or files
        if [ -n "${PERSISTENCE}" ] && [ -z "${NOPERSISTENCE}" ]

It seems to me that when you mount the tmpfs in /live/overlay, you need
to umount it before booting manually as well, that is, after
bind-mounting /live to the final boot location.

Cheers,
Reinhard



Information forwarded to debian-bugs-dist@lists.debian.org, siretart@tauware.de, Debian Live Project <debian-live@lists.debian.org>:
Bug#685375; Package live-boot. (Thu, 20 Sep 2012 08:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
Extra info received and forwarded to list. Copy sent to siretart@tauware.de, Debian Live Project <debian-live@lists.debian.org>. (Thu, 20 Sep 2012 08:21:04 GMT) Full text and rfc822 format available.

Message #10 received at 685375@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: Debian Bug Tracking System <685375@bugs.debian.org>
Subject: Re: Breaks booting with nfsroot
Date: Thu, 20 Sep 2012 10:16:41 +0200
[Message part 1 (text/plain, inline)]
Package: live-boot
Version: 3.0~b1-1
Followup-For: Bug #685375
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu quantal ubuntu-patch


*** /tmp/tmpEQf01u/bug_body
In Ubuntu, the attached patch was applied to achieve the following:

  *  ensure that a potentially stray tmpfs gets removed
     otherways, initramfs-tools is unable to remove /live
     and fails to boot. Closes: #685375, LP: #1043834

Thanks for considering the patch.


-- System Information:
Debian Release: wheezy/sid
  APT prefers precise-updates
  APT policy: (500, 'precise-updates'), (500, 'precise-security'), (500, 'precise-proposed'), (500, 'precise')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-30-generic (SMP w/4 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[live-boot_3.0~b1-1ubuntu1.debdiff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Reinhard Tartler <siretart@tauware.de> to control@bugs.debian.org. (Thu, 20 Sep 2012 08:27:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#685375; Package live-boot. (Wed, 26 Sep 2012 12:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 26 Sep 2012 12:51:03 GMT) Full text and rfc822 format available.

Message #17 received at 685375@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 685375-submitter@bugs.debian.org
Cc: 685375@bugs.debian.org
Subject: Re: Breaks booting with nfsroot
Date: Wed, 26 Sep 2012 14:46:53 +0200
retitle 685375 breaks booting with nfsroot
tag 685375 moreinfo

after the changes in 3.0~b3-1, this should not be necessary anymore. can 
you please confirm?

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Changed Bug title to 'breaks booting with nfsroot' from 'Breaks booting with nfsroot' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 26 Sep 2012 12:51:04 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 26 Sep 2012 12:51:05 GMT) Full text and rfc822 format available.

Message sent on to Reinhard Tartler <siretart@tauware.de>:
Bug#685375. (Wed, 26 Sep 2012 12:51:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#685375; Package live-boot. (Thu, 27 Sep 2012 14:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 27 Sep 2012 14:45:05 GMT) Full text and rfc822 format available.

Message #29 received at 685375@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@gmail.com>
To: daniel.baumann@progress-technologies.net, 685375@bugs.debian.org
Subject: Re: Bug#685375: Breaks booting with nfsroot
Date: Thu, 27 Sep 2012 16:41:49 +0200
tags 685375 -moreinfo
stop

On Wed, Sep 26, 2012 at 2:46 PM, Daniel Baumann
<daniel.baumann@progress-technologies.net> wrote:
> retitle 685375 breaks booting with nfsroot
> tag 685375 moreinfo
>
> after the changes in 3.0~b3-1, this should not be necessary anymore. can you
> please confirm?

I have just tested  3.0~b4-1 from http://incoming.debian.org, and can
confirm that the bug still persists. The early userspace still has
/live/overlay mounted, which the initramfs fails to remove and thus,
booting fails.

-- 
regards,
    Reinhard



Removed tag(s) moreinfo. Request was from Reinhard Tartler <siretart@gmail.com> to control@bugs.debian.org. (Thu, 27 Sep 2012 14:45:07 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sun, 30 Sep 2012 08:51:04 GMT) Full text and rfc822 format available.

Notification sent to Reinhard Tartler <siretart@tauware.de>:
Bug acknowledged by developer. (Sun, 30 Sep 2012 08:51:04 GMT) Full text and rfc822 format available.

Message #36 received at 685375-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 685375-close@bugs.debian.org
Subject: Bug#685375: fixed in live-boot 3.0~b5-1
Date: Sun, 30 Sep 2012 08:47:34 +0000
Source: live-boot
Source-Version: 3.0~b5-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 685375@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 30 Sep 2012 10:07:09 +0200
Source: live-boot
Binary: live-boot live-boot-doc live-boot-initramfs-tools
Architecture: source all
Version: 3.0~b5-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Debian Live - System Boot Scripts
 live-boot-doc - Debian Live - System Boot Scripts (documentation)
 live-boot-initramfs-tools - Debian Live - System Boot Scripts (initramfs-tools backend)
Closes: 685375
Changes: 
 live-boot (3.0~b5-1) unstable; urgency=low
 .
   * Updating to standards version 3.9.4.
   * Removing showmounts option as it's enable always anyway.
   * Applying slightly modified patch from Reinhard Tartler
     <siretart@tauware.de> to ensure that a potentially stray tmpfs on
     /live/overlay gets removed to fix netboot failures (Closes:
     #685375).
Checksums-Sha1: 
 ed5bdb265a3e41f95110cf06f680cf4406e7b92c 1376 live-boot_3.0~b5-1.dsc
 e94a5b5da00b63115942485c0259373aaf79e501 58744 live-boot_3.0~b5.orig.tar.xz
 f29c5f6105420231a9a0c17e67b043da0c31b5e0 21352 live-boot_3.0~b5-1.debian.tar.xz
 eb6e5654e33d805b95cc747ea43ec80b18051444 47072 live-boot_3.0~b5-1_all.deb
 f514753c8a3f3fb2710d05364335f26748e81ac1 50776 live-boot-doc_3.0~b5-1_all.deb
 4014d9d29683f98ba455cbb3b5934af69c323511 25122 live-boot-initramfs-tools_3.0~b5-1_all.deb
Checksums-Sha256: 
 964f506db79158b5d4085ef474654aa67c05491921fcdb77f10cb7a5be7a03d2 1376 live-boot_3.0~b5-1.dsc
 110f80f37e1b12774a9eef889087828d79a2bf9f6dc90991c9aaa1c07b68518e 58744 live-boot_3.0~b5.orig.tar.xz
 286b4e252216165802b111c10709afcb811fa848933c0810a35dca2557302cae 21352 live-boot_3.0~b5-1.debian.tar.xz
 befce6a92e98916a8032ec29c654f49ace648ee5a5178c2c035040b2247fc4b2 47072 live-boot_3.0~b5-1_all.deb
 d9c57ced4872cb7dff97562dc674a8fd5b3920aae268be28ab8eb7c95b4db4a0 50776 live-boot-doc_3.0~b5-1_all.deb
 8c6e5a16d6b8313e7dca5f0cd1cdeab14614647fd7c729dc79c046b643df22de 25122 live-boot-initramfs-tools_3.0~b5-1_all.deb
Files: 
 6ba4e6ea6117aeb8243d9b391a045d91 1376 misc optional live-boot_3.0~b5-1.dsc
 b1bdb584bb8d4765fc290e16270e66ef 58744 misc optional live-boot_3.0~b5.orig.tar.xz
 05dc3c16bd8d6effe294997079cc32f5 21352 misc optional live-boot_3.0~b5-1.debian.tar.xz
 72e784c786158bb484701f2ffd8057b1 47072 misc optional live-boot_3.0~b5-1_all.deb
 560e5ee4ccf585a0780642053bb1acf8 50776 doc optional live-boot-doc_3.0~b5-1_all.deb
 51b9579b5255b1daad66590909639360 25122 misc optional live-boot-initramfs-tools_3.0~b5-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEUEARECAAYFAlBn/uAACgkQ+C5cwEsrK554bQCg2AaST1D0Zh6uzlFQF4PhZ4CH
T3EAlRGVwUIdZlf7MRrdrk/IN6CJbEY=
=sX2e
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 29 Oct 2012 07:29:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:58:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.